Name:          python-virtualenvwrapper
Version:       6.1.1
Release:       1mamba
Summary:       A set of extensions to virtualenv tool
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://virtualenvwrapper.readthedocs.io/en/latest/
Source:        https://pypi.debian.net/virtualenvwrapper/virtualenvwrapper-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(stevedore)
BuildRequires: python3.11dist(virtualenv)
BuildRequires: python3.11dist(virtualenv-clone)
## AUTOBUILDREQ-END
BuildRequires: python3-devel >= 3.11.5-3mamba
BuildArch:     noarch

%description
virtualenvwrapper is a set of extensions to virtualenv tool.
The extensions include wrappers for creating and deleting virtual environments and otherwise managing your development workflow, making it easier to work on more than one project at a time without introducing conflicts in their dependencies.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n virtualenvwrapper-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/virtualenvwrapper-%{version}-py*.egg-info
%{python_sitearch}/virtualenvwrapper-%{version}-py*.egg-info/*
%doc LICENSE

%changelog
* Mon Oct 14 2024 Automatic Build System <autodist@openmamba.org> 6.1.1-1mamba
- automatic version update by autodist

* Tue Jan 30 2024 Automatic Build System <autodist@openmamba.org> 6.1.0-1mamba
- automatic version update by autodist

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 6.0.0.0a1-2mamba
- rebuilt by autoport with build requirements: python3-devel>=3.11.5-3mamba

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 6.0.0.0a1-1mamba
- automatic update by autodist

* Sun Oct 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.4-2mamba
- rebuilt with distdeps and for py3

* Mon Feb 11 2019 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sun Sep 17 2017 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Sat Sep 09 2017 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sat Sep 17 2016 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic update by autodist

* Fri Sep 18 2015 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Mon Aug 31 2015 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- automatic version update by autodist

* Mon Jun 08 2015 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Tue Apr 28 2015 Automatic Build System <autodist@mambasoft.it> 4.5.1-1mamba
- automatic version update by autodist

* Mon Apr 13 2015 Automatic Build System <autodist@mambasoft.it> 4.5.0-1mamba
- automatic version update by autodist

* Sun Apr 12 2015 Automatic Build System <autodist@mambasoft.it> 4.4.1-1mamba
- automatic version update by autodist

* Mon Jan 05 2015 Automatic Build System <autodist@mambasoft.it> 4.3.2-1mamba
- automatic version update by autodist

* Tue Jul 22 2014 Automatic Build System <autodist@mambasoft.it> 4.3.1-1mamba
- automatic version update by autodist

* Mon Jun 02 2014 Automatic Build System <autodist@mambasoft.it> 4.3-1mamba
- automatic update by autodist

* Tue Feb 11 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.2-2mamba
- added missing requirement

* Fri Feb 07 2014 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.2-1mamba
- package created using the webbuild interface
